MetacatUI - Feature #6032

Add schema.org dataset annotations to dataset views
07/09/2013 01:10 PM - Matt Jones

Status: In Progress Start date: 07/09/2013
Priority: Normal Due date:

Assignee: Matt Jones % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.X.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

The current view page is envisioned as an HTML representation of a data set. Adding in RDFa tags using the schema.org datasets
extension will allow machine parsers to trace their way back to the machine-readable versions of the datasets, including the direct
download links. Will need to resolve the difference between a dcat:Dataset and an OAI-ORE ResourceMap-based package as we've
defined in DataONE.

See http://www.w3.0rg/TR/vocab-dcat/

See http://www.w3.org/wiki/WebSchemas/Datasets
http://www.w3.org/wiki/WebSchemas/SchemaDotOrgProposals

Good introduction (longer/ with more context):
http://www.slideshare.net/joshsh/semantic-markup-using-schemaorg

History

#1 - 07/09/2013 01:10 PM - Matt Jones

- Target version set to 1.0.0

#2 - 07/25/2013 08:44 AM - ben leinfelder

- Target version changed from 1.0.0 to 1.1.0

#3 - 08/23/2013 03:56 PM - ben leinfelder

- Target version changed from 1.1.0 to 1.2.0

#4 - 10/16/2013 12:28 PM - Matt Jones
- Status changed from New to In Progress

- Assignee set to Matt Jones

Started working on the annotations using the microdata format and schema.org vocabulary. We may also want to consider whether it is better to
embed this as RDFa rather than use microdata, but for now | am prototyping with microdata.

#5 - 10/31/2013 10:22 AM - ben leinfelder
- Target version deleted (1.2.0)

#6 - 10/31/2013 10:22 AM - Lauren Walker

- Target version set to 1.3.0

#7 - 11/14/2013 08:09 AM - ben leinfelder
- Target version deleted (1.3.0)

#8 - 04/09/2015 08:56 AM - Lauren Walker

- Target version set to 1.8.0

#9 - 10/12/2015 10:07 AM - Lauren Walker

- Target version changed from 1.8.0 to 1.9.0
#10 - 11/04/2015 12:36 PM - Lauren Walker

- Target version changed from 1.9.0 to 1.12.0

#11 - 08/03/2016 10:02 AM - Lauren Walker
- Target version changed from 1.12.0 to 1.X.0

03/13/2024 22


http://www.tcpdf.org

